## org.apache.commons.configuration
Class ConversionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.commons.lang.exception.NestableRuntimeException
                      org.apache.commons.configuration.ConfigurationRuntimeException
                          org.apache.commons.configuration.ConversionException

All Implemented Interfaces:
  Serializable, Nestable

    public class ConversionException

extends ConfigurationRuntimeException

Exception thrown when a property is incompatible with the type requested.

Since:
  1.0
Version:
  $Revision: 439648 $, $Date: 2006-09-02 22:42:10 +0200 (Sa, 02 Sep 2006) $
Author:
  Emmanuel Bourg
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.commons.lang.exception.NestableRuntimeException
`delegate`

Constructor Summary
`ConversionException()` Constructs a new `ConversionException` without specified detail message.
`ConversionException(String message)` Constructs a new `ConversionException` with specified detail message.
`ConversionException(String message, Throwable cause)` Constructs a new `ConversionException` with specified detail message and nested `Throwable`.
`ConversionException(Throwable cause)` Constructs a new `ConversionException` with specified nested `Throwable`.

Method Summary

Methods inherited from class org.apache.commons.lang.exception.NestableRuntimeException
`getCause, getMessage, getMessage, getMessages, getThrowable, getThrowableCount, getThrowables, indexOfThrowable, indexOfThrowable, printPartialStackTrace, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConversionException

    public ConversionException()

  Constructs a new `ConversionException` without specified detail message.

### ConversionException

    public ConversionException(String message)

  Constructs a new `ConversionException` with specified detail message.

  Parameters:
    `message` - the error message

### ConversionException

    public ConversionException(Throwable cause)

  Constructs a new `ConversionException` with specified nested `Throwable`.

  Parameters:
    `cause` - the exception or error that caused this exception to be thrown

### ConversionException

    public ConversionException(String message,
                               Throwable cause)

  Constructs a new `ConversionException` with specified detail message and nested `Throwable`.

  Parameters:
    `message` - the error message
    `cause` - the exception or error that caused this exception to be thrown

Copyright © 2001-2006 The Apache Software Foundation. All Rights Reserved.